##### basic_writable_pipe::basic_writable_pipe (6 of 6 overloads)

Move-construct a `basic_writable_pipe` from a pipe of another executor type.

    template<
        typename Executor1>
    basic_writable_pipe(
        basic_writable_pipe< Executor1 > && other,
        typename constraint< is_convertible< Executor1, Executor >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor moves a pipe from one object to another.

###### Parameters

other

  The other `basic_writable_pipe` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_writable_pipe(const executor_type&)` constructor.